package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 减免模式（无.无，减.减，免.免）枚举类
*
* @author zxfei
*/
public enum JianmMsEnum {
    无("无", "无"),
    减("减", "减"),
    免("免", "免");
    private String value;
    private String desc;

    JianmMsEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static JianmMsEnum getByValue(String value) {
        for (JianmMsEnum jianmMsEnum : JianmMsEnum.values()) {
            if (jianmMsEnum.getValue() == value) {
                return jianmMsEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (JianmMsEnum item : JianmMsEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}